# NOTE: when calling this test, kernel-headers must have been installed
metadata:
    name: httperf-nginx-ofp-odp-dpdk
    format: Lava-Test Test Definition 1.0
    description: Server running OFP+ODP+DPDK NGiNX
    environment:
        - lava-test-shell
    maintainer:
        - josep.puigdemont@linaro.org
    os:
        - debian
        - ubuntu
    devices:
        - x86

install:
    deps:
        - bash
        - ethtool
        - pciutils
        - procps
        - sysstat
        - wget

params:
    MAX_CORES: 0
    VLAND_NAME: vlan_one
    DEB_REPO_URL: http://deb.opendataplane.org
    DEB_REPO_KEY_URL: http://deb.opendataplane.org/odp.key

run:
    steps:
        - . automated/lib/sh-test-lib
        - add_key "$DEB_REPO_KEY_URL"
        - add_repo "$DEB_REPO_URL"
        - apt-get update
        - sysctl -w vm.nr_hugepages=1024
        - modprobe uio
        - apt-get install -y dpdk-igb-uio-dkms dpdk pciutils
        - export CONFIG_TYPE=odp-dpdk
        - export MAX_CORES VLAND_NAME
        - lava-test-case httperf-nginx-server --shell ./automated/linux/nginx-server/nginx-server.sh
